Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.upload.components
Class Upload

    java.lang.Object
      org.apache.tapestry5.corelib.base.AbstractField
          org.apache.tapestry5.upload.components.Upload

All Implemented Interfaces:
  ClientElement, Field

    @Events(value="validate")
    public class Upload

extends AbstractField

A component to upload a file.

Field Summary
`static java.lang.String` | `MULTIPART_ENCTYPE`

Constructor Summary
`Upload()`

Method Summary
`void` | `afterRender(MarkupWriter writer)`
`protected void` | `beginRender(MarkupWriter writer)` Render the upload tags.
`UploadedFile` | `getValue()`
`protected void` | `processSubmission(java.lang.String controlName)` Method implemented by subclasses to actually do the work of processing the submission of the form.

Methods inherited from class org.apache.tapestry5.corelib.base.AbstractField
`decorateInsideField, getClientId, getControlName, getLabel, isDisabled, isRequired, putPropertyNameIntoBeanValidationContext, removePropertyNameFromBeanValidationContext, setDecorator, setFormSupport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULTIPART_ENCTYPE

    public static final java.lang.String MULTIPART_ENCTYPE

See Also:
  Constant Field Values

Constructor Detail

### Upload

    public Upload()

Method Detail

### processSubmission

    protected void processSubmission(java.lang.String controlName)

  Description copied from class: `AbstractField`
  Method implemented by subclasses to actually do the work of processing the submission of the form. The element's controlName property will already have been set. This method is only invoked if the field is not `disabled`.

  Specified by:
    `processSubmission` in class `AbstractField`
  Parameters:
    `controlName` - the control name of the rendered element (used to find the correct parameter in the request)

### beginRender

    protected void beginRender(MarkupWriter writer)

  Render the upload tags.

  Parameters:
    `writer` - Writer to output markup

### afterRender

    public void afterRender(MarkupWriter writer)

### getValue

    public UploadedFile getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.